## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * neither test files nor test code is included in published crates
%bcond_with check

%global crate dua-cli

Name:           rust-dua-cli
Version:        2.29.0
Release:        %autorelease
Summary:        Tool to conveniently learn about the disk usage of directories

License:        MIT
URL:            https://crates.io/crates/dua-cli
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Update gix-glob dependency to version 0.16.2
Patch:          dua-cli-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A tool to conveniently learn about the disk usage of directories, fast!.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        MIT AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/dua

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crosstermion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crosstermion-devel %{_description}

This package contains library source intended for building other packages which
use the "crosstermion" feature of the "%{crate}" crate.

%files       -n %{name}+crosstermion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+open-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+open-devel %{_description}

This package contains library source intended for building other packages which
use the "open" feature of the "%{crate}" crate.

%files       -n %{name}+open-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-devel %{_description}

This package contains library source intended for building other packages which
use the "trash" feature of the "%{crate}" crate.

%files       -n %{name}+trash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-move-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-move-devel %{_description}

This package contains library source intended for building other packages which
use the "trash-move" feature of the "%{crate}" crate.

%files       -n %{name}+trash-move-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-devel %{_description}

This package contains library source intended for building other packages which
use the "tui" feature of the "%{crate}" crate.

%files       -n %{name}+tui-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-crossplatform-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-crossplatform-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-crossplatform" feature of the "%{crate}" crate.

%files       -n %{name}+tui-crossplatform-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-react-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-react-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-react" feature of the "%{crate}" crate.

%files       -n %{name}+tui-react-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-segmentation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-segmentation-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-segmentation" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-segmentation-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-width-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-width-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-width" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-width-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.29.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> 2.29.0-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Apr 27 2024 Fabio Valentini <decathorpe@gmail.com> 2.29.0-1
- Update to version 2.29.0; Fixes RHBZ#2268751

* Fri Apr 05 2024 blinxen <h-k-81@hotmail.com> 2.28.0-2
- Update gix-glob dependency to version 0.16.2

* Mon Feb 19 2024 Fabio Valentini <decathorpe@gmail.com> 2.28.0-1
- Update to version 2.28.0; Fixes RHBZ#2250631

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.20.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Michel Lind <salimma@fedoraproject.org> 2.20.3-1
- Update to 2.20.3

* Sat Jul 22 2023 Fabio Valentini <decathorpe@gmail.com> 2.20.1-1
- Update to version 2.20.1; Fixes RHBZ#2125945

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.17.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 30 2023 Michel Alexandre Salim <salimma@fedoraproject.org> 2.17.8-4
- Bump open dependency to 4.0

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 2.17.8-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.17.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> 2.17.8-1
- Update to version 2.17.8; Fixes RHBZ#2066020

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 2.17.0-3
- Rebuild with package notes

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> 2.17.0-2
- Bump to tui 0.17, tui-react 0.17, and crosstermion 0.9

* Mon Feb 07 2022 Fabio Valentini <decathorpe@gmail.com> 2.17.0-1
- Update to version 2.17.0; Fixes RHBZ#1956138

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 22 2021 Fabio Valentini <decathorpe@gmail.com> - 2.11.1-5
- Port to clap 3.0.0-beta.5.

* Mon Aug 23 2021 Fabio Valentini <decathorpe@gmail.com> - 2.11.1-4
- Bump tui, tui-react, and crosstermion versions.

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 2.11.1-3
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.1-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Feb 23 2021 Fabio Valentini <decathorpe@gmail.com> - 2.11.1-1
- Update to version 2.11.1.
- Fixes RHBZ#1919501

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 19:45:05 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.10.9-1
- Update to 2.10.9 (Fixes: RHBZ#1912188)

* Mon Dec 28 13:29:36 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.10.7-2
- Rebuild

* Fri Dec 25 11:55:17 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.10.7-1
- Update to 2.10.7

* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.8.2-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 02 09:59:22 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.8.2-1
- Update to 2.8.2

* Sun May 31 13:57:22 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.6.1-1
- Update to 2.6.1

* Sun May 10 14:35:34 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.6.0-1
- Update to 2.6.0

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 2.5.0-1
- Update to 2.5.0

* Mon Mar 30 08:19:56 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1

* Fri Mar 27 15:15:21 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.3.9-1
- Update to 2.3.9

* Thu Mar 26 08:32:46 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.3.8-1
- Update to 2.3.8

* Tue Mar 17 16:47:38 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.3.6-1
- Update to 2.3.6

* Sun Mar 15 18:07:16 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.3.5-1
- Update to 2.3.5

* Sun Mar 15 09:14:52 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.3.3-1
- Update to 2.3.3

* Tue Feb 25 02:05:44 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.3.2-1
- Update to 2.3.2

* Mon Feb 24 20:18:39 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.1-1
- Initial package

